
package de.ivu.elect.business.ergebnis.control;

import java.io.Serializable;
import java.util.Date;

import de.ivu.elect.business.ergebnis.entity.Ergebnisart;


public class ZwischenergebnisberechnungStatus implements Serializable {

  private final String wahl;
  private final Ergebnisart ergebnisart;
  private final Date gestartet;
  private final boolean loeseKonflikte;

  public ZwischenergebnisberechnungStatus(Ergebnisart ergebnisart, String wahl, Date gestartet, boolean loeseKonflikte) {
    this.ergebnisart = ergebnisart;
    this.wahl = wahl;
    this.gestartet = gestartet;
    this.loeseKonflikte = loeseKonflikte;
  }

  public Ergebnisart getErgebnisart() {
    return ergebnisart;
  }

  public Date getGestartet() {
    return gestartet;
  }

  public boolean isLoeseKonflikte() {
    return loeseKonflikte;
  }

  public String getWahl() {
    return wahl;
  }
}
